
const Main = imports.ui.main;
const Gio = imports.gi.Gio;
const Lang = imports.lang;

const St = imports.gi.St;
const Tweener = imports.ui.tweener;

const Me = imports.misc.extensionUtils.getCurrentExtension();
const ExtensionPath = Me.path;
const Lib = Me.imports.lib;

const GSETTINGS = {
  SHOWBTTN:	'showlogoutbttn'
};

function _reloadSettings() {
    this.settings = null;
    this._settings = new Lib.SettingsManager();
    if (this._settings.get_boolean(GSETTINGS.SHOWBTTN)) {
	Main.panel.statusArea.userMenu._logoutItem.actor.visible = true;
    } else {
	Main.panel.statusArea.userMenu._logoutItem.actor.visible = false;
    }
}

function init() {

}

function enable() {
    let file = Gio.file_new_for_path(ExtensionPath + '/settings.json');
    this._fileMonitor = file.monitor(Gio.FileMonitorFlags.NONE, null);
    this._fileChangedId = this._fileMonitor.connect('changed', Lang.bind(this, _reloadSettings));

    _reloadSettings();
}

function disable() {
    if (this._fileChangedId) {
      this._fileMonitor.disconnect(this._fileChangedId);
      this._fileChangedId = 0;
    }
    Main.panel.statusArea.userMenu._logoutItem.actor.visible = false;
}
